HierarchyEventListener Class Referenceabstract

Listen to events occuring within a Hierarchy. More...

Inheritance diagram for HierarchyEventListener:

## Public Member Functions

virtual | ~HierarchyEventListener ()
virtual void | addAppenderEvent (const log4cxx::helpers::ObjectPtrT< Logger > &logger, const log4cxx::helpers::ObjectPtrT< Appender > &appender)=0
virtual void | removeAppenderEvent (const log4cxx::helpers::ObjectPtrT< Logger > &logger, const log4cxx::helpers::ObjectPtrT< Appender > &appender)=0
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual void | addRef () const =0
virtual void | releaseRef () const =0
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Additional Inherited Members

Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()

## Detailed Description

Listen to events occuring within a Hierarchy.

## Constructor & Destructor Documentation

## ~HierarchyEventListener()

virtual ~HierarchyEventListener | ( |  | ) |

inline virtual

## Member Function Documentation

## addAppenderEvent()

virtual void addAppenderEvent | ( | const log4cxx::helpers::ObjectPtrT< Logger > & | logger,
|  | const log4cxx::helpers::ObjectPtrT< Appender > & | appender
| ) |  |

pure virtual

## removeAppenderEvent()

virtual void removeAppenderEvent | ( | const log4cxx::helpers::ObjectPtrT< Logger > & | logger,
|  | const log4cxx::helpers::ObjectPtrT< Appender > & | appender
| ) |  |

pure virtual

The documentation for this class was generated from the following file:

- hierarchyeventlistener.h